semigroupoids-5.2: Semigroupoids: Category sans id

Copyright | (C) 2011-2015 Edward Kmett
License | BSD-style (see the file LICENSE)
Maintainer | Edward Kmett <ekmett@gmail.com>
Stability | provisional
Portability | portable
Safe Haskell | Safe
Language | Haskell98

Data.Functor.Bind.Trans

Description

Synopsis

- class MonadTrans t => BindTrans t where

# Documentation

class MonadTrans t => BindTrans t where #

A subset of monad transformers can transform any `Bind` as well.

Minimal complete definition

liftB

Methods

liftB :: Bind b => b a -> t b a #

Instances

BindTrans (IdentityT *) # |
Methods liftB :: Bind b => b a -> IdentityT * b a #
Monoid w => BindTrans (WriterT w) # |
Methods liftB :: Bind b => b a -> WriterT w b a #
Monoid w => BindTrans (WriterT w) # |
Methods liftB :: Bind b => b a -> WriterT w b a #
BindTrans (StateT s) # |
Methods liftB :: Bind b => b a -> StateT s b a #
BindTrans (StateT s) # |
Methods liftB :: Bind b => b a -> StateT s b a #
BindTrans (ReaderT * e) # |
Methods liftB :: Bind b => b a -> ReaderT * e b a #
BindTrans (ContT * r) # |
Methods liftB :: Bind b => b a -> ContT * r b a #
Monoid w => BindTrans (RWST r w s) # |
Methods liftB :: Bind b => b a -> RWST r w s b a #
Monoid w => BindTrans (RWST r w s) # |
Methods liftB :: Bind b => b a -> RWST r w s b a #